#include <iostream>

#include "drawer.h"
#include "event.h"

#define XRES 1200
#define YRES 800
#define COLOR 32
#define XML_PATH "KinectConfig.xml"


int main(int argc, char ** argv){
  Drawer* drawer = new Drawer(XRES,YRES,COLOR);
  Event* events = NULL;
  try{
    events = new Event(XML_PATH);
  }catch(int i){
    std::cerr << "cannot start programm" << std::endl;
    return 1;
  }
  events->setListener(drawer);
  //events->start();
  /* event loop */
  events->eventMainLoop(drawer);
  delete drawer;
  delete events;

  return 0;
}
